- Qt 6.12
- Qt Graphs
- QML Types
- QtGraphs
- ScatterDataProxy
- Qt Graphs | Commercial or GPLv3

# ScatterDataProxy QML Type (Uncreatable)

The data proxy for 3D scatter graphs. More...

Import Statement: | `import QtGraphs`
In C++: | QScatterDataProxy
Inherits: | AbstractDataProxy
Inherited By: | ItemModelScatterDataProxy

Note: This is an uncreatable type. It cannot be instantiated in QML.

- List of all members, including inherited members
- ScatterDataProxy is part of Qt Graphs QML Types for 3D.

## Properties

- itemCount : int
- series : Scatter3DSeries
- type : AbstractDataProxy.DataType

## Signals

- itemCountChanged(int count)
- seriesChanged(Scatter3DSeries series)

## Detailed Description

This type handles adding, inserting, changing, and removing data items.

This type is uncreatable, but contains properties that are exposed via subtypes.

See also ItemModelScatterDataProxy and Qt Graphs Data Handling with 3D.

## Property Documentation

### itemCount : int `[read-only]`

The number of items in the array.

### series : Scatter3DSeries `[read-only]`

The series this proxy is attached to.

### type : AbstractDataProxy.DataType `[read-only]`

The type of the proxy. One of the QAbstractDataProxy::DataType values.

## Signal Documentation

### itemCountChanged(int count)

This signal is emitted when itemCount changes to count.

Note: The corresponding handler is `onItemCountChanged`.

### seriesChanged(Scatter3DSeries series)

This signal is emitted when series changes to series.

Note: The corresponding handler is `onSeriesChanged`.